Loading...
Searching...
No Matches
TricubicSampler< TreeOrAccT > Class Template Reference

Tri-cubic sampler, i.e. third order, interpolator. More...

`#include <nanovdb/util/SampleFromVoxels.h>`

Inheritance diagram for TricubicSampler< TreeOrAccT >:

## Public Member Functions

| TricubicSampler (const TreeOrAccT &acc)
| Construction from a Tree or ReadAccessor.
const TreeOrAccT & | accessor () const
void | stencil (const CoordT &ijk, ValueT(&c)[64]) const
| Extract the stencil of 8 values.
template<typename RealT, template< typename... > class Vec3T>
TreeOrAccT::ValueType | sample (const Vec3T< RealT > &xyz, const ValueT(&C)[64])

## Static Public Member Functions

template<typename RealT, template< typename... > class Vec3T>
static ValueT | sample (const Vec3T< RealT > &uvw, const ValueT(&c)[64])

## Protected Types

using | ValueT = typename TreeOrAccT::ValueType
using | CoordT = typename TreeOrAccT::CoordType

## Protected Attributes

const TreeOrAccT & | mAcc

## Detailed Description

template<typename TreeOrAccT>
class nanovdb::TricubicSampler< TreeOrAccT >

Tri-cubic sampler, i.e. third order, interpolator.

See the following paper for implementation details: Lekien, F. and Marsden, J.: Tricubic interpolation in three dimensions. In: International Journal for Numerical Methods in Engineering (2005), No. 63, p. 455-471

## Member Typedef Documentation

## CoordT

template<typename TreeOrAccT>

using CoordT = typename TreeOrAccT::CoordType

protected

## ValueT

template<typename TreeOrAccT>

using ValueT = typename TreeOrAccT::ValueType

protected

## Constructor & Destructor Documentation

## TricubicSampler()

template<typename TreeOrAccT>

TricubicSampler | ( | const TreeOrAccT & | acc | ) |

inline

Construction from a Tree or ReadAccessor.

## Member Function Documentation

## accessor()

template<typename TreeOrAccT>

const TreeOrAccT & accessor | ( |  | ) | const

inline

## sample() [1/2]

template<typename TreeOrAccT>
template<typename RealT, template< typename... > class Vec3T>

ValueT sample | ( | const Vec3T< RealT > & | uvw,
|  | const ValueT(&) | c[64] )

inlinestatic

## sample() [2/2]

template<typename TreeOrAccT>
template<typename RealT, template< typename... > class Vec3T>

TreeOrAccT::ValueType sample | ( | const Vec3T< RealT > & | xyz,
|  | const ValueT(&) | C[64] )

## stencil()

template<typename TreeOrAccT>

void stencil | ( | const CoordT & | ijk,
|  | ValueT(&) | c[64] ) const

inline

Extract the stencil of 8 values.

## Member Data Documentation

## mAcc

template<typename TreeOrAccT>

const TreeOrAccT& mAcc

protected